Package com.xebialabs.deployit.plugin.api.udm

## Enum Metadata.ConfigurationItemRoot

- java.lang.Object
- - java.lang.Enum<Metadata.ConfigurationItemRoot>
  - - com.xebialabs.deployit.plugin.api.udm.Metadata.ConfigurationItemRoot

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Metadata.ConfigurationItemRoot>`
  Enclosing class:
    Metadata

      public static enum Metadata.ConfigurationItemRoot
      extends java.lang.Enum<Metadata.ConfigurationItemRoot>

  The root in the JCR tree.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `APPLICATIONS` |
    `BY_ROOT_NAME` |
    `CONFIGURATION` |
    `ENVIRONMENTS` |
    `INFRASTRUCTURE` |
    `NESTED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getRootNodeName()` |
    `static Metadata.ConfigurationItemRoot` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Metadata.ConfigurationItemRoot[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATIONS

          public static final Metadata.ConfigurationItemRoot APPLICATIONS

    - #### INFRASTRUCTURE

          public static final Metadata.ConfigurationItemRoot INFRASTRUCTURE

    - #### ENVIRONMENTS

          public static final Metadata.ConfigurationItemRoot ENVIRONMENTS

    - #### CONFIGURATION

          public static final Metadata.ConfigurationItemRoot CONFIGURATION

    - #### BY_ROOT_NAME

          public static final Metadata.ConfigurationItemRoot BY_ROOT_NAME

    - #### NESTED

          public static final Metadata.ConfigurationItemRoot NESTED

  - ### Method Detail

    - #### values

          public static Metadata.ConfigurationItemRoot[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Metadata.ConfigurationItemRoot c : Metadata.ConfigurationItemRoot.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Metadata.ConfigurationItemRoot valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getRootNodeName

          public java.lang.String getRootNodeName()